Skip to main content
Operations Management/Access Control/AccessKey Operations
PUTAccessKey OperationsSince 3.2.0SynchronousAuth Required

ChangeAccessKeyState

ChangeAccessKeyState

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The AccessKey UUID.

Body Fields

  • changeaccesskeystateObjectRequired

    changeaccesskeystate request body object.

    • stateEventStringRequired

      Enables or disables the AccessKey.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryAccessKeyInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • descriptionStringRequired

      The detailed description of the resource.

    • accountUuidStringRequired

      The account UUID.

    • userUuidStringRequired

      The user UUID.

    • AccessKeyIDStringRequired

      访问密钥ID。

    • AccessKeySecretStringRequired

      访问密钥。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateAccessKeyStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

Endpoint

PUT/zstack/v1/accesskeys/{uuid}/actions

/zstack/v1/accesskeys/{uuid}/actions

Operation ID

ChangeAccessKeyState

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/accesskeys/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changeaccesskeystate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "defe79b1a43f35818dc6d3959b571773", "accountUuid": "d0c06c8d19f439b1b8f481dbdf3e3a3c", "userUuid": "b622d5d01ef63237878023e93ade5003", "AccessKeyID": "1234567890abcdedfhij", "AccessKeySecret": "1234567890abcdedfhij1234567890abcdedfhij", "state": "Enabled" } }

Change History

This API has no change history records yet.

View all change history